<?php
  // Set page title.
  $this->headTitle($this->translate('Book Bag'));

  // Set up breadcrumbs:
  $this->layout()->breadcrumbs = $this->searchMemory()->getLastSearchLink($this->transEsc('Search'), '<li>', '</li> ')
?>
<h2><?=$this->transEsc('Book Bag') ?></h2>
<?=$this->flashmessages()?>
<form class="form-inline" action="<?=$this->url('cart-processor')?>" method="post"  name="cartForm" data-lightbox-onsubmit="cartFormHandler">
  <input type="hidden" id="dropdown_value">
  <input type="hidden" name="redirectInLightbox" value="true">
  <?php if (!$this->cart()->isEmpty()): ?>
    <div class="cart-controls">
      <div class="checkbox">
        <label>
          <input type="checkbox" name="selectAll" class="checkbox-select-all">
          <?=$this->transEsc('select_page_cart')?>
        </label>
      </div>
      <ul class="cart-control-btns">
        <?php if ($this->userlist()->getMode() !== 'disabled'): ?>
          <?=
            $this->bulkAction()->button(
                'saveCart',
                'user-list-add',
                'bulk_save_button',
                [
                  'title' => $this->translate('bulk_save_cart'),
                ]
            )
          ?>
        <?php endif; ?>
        <?php if ($this->accountCapabilities()->isEmailActionAvailable()): ?>
          <?=
            $this->bulkAction()->button(
                'email',
                'send-email',
                'Email',
                [
                  'title' => $this->translate('bulk_email_cart'),
                ]
            )
          ?>
        <?php endif; ?>
        <?php $exportOptions = $this->export()->getActiveFormats('bulk'); ?>
        <?php if (count($exportOptions) > 0): ?>
          <?=
            $this->bulkAction()->button(
                'export',
                'export',
                'Export',
                [
                  'title' => $this->translate('bulk_export_cart'),
                ]
            )
          ?>
        <?php endif; ?>
        <?=
          $this->bulkAction()->button(
              'print',
              'print',
              'Print',
              [
                'title' => $this->translate('bulk_print_cart'),
              ]
          )
        ?>
        <li id="cartDelete">
          <?=
            $this->component(
                'confirm-button',
                [
                    'buttonId' => 'cart-delete-label',
                    'buttonName' => 'delete',
                    'buttonClass' => 'toolbar-btn',
                    'buttonIcon' => 'cart-remove',
                    'buttonLabel' => 'Delete',
                    'confirmId' => 'cart-confirm-delete',
                    'confirmTitle' => 'bookbag_confirm_delete',
                    'header' => 'bookbag_confirm_delete',
                ]
            )
          ?>
        </li>
        <li>
          <?=
            $this->component(
                'confirm-button',
                [
                    'buttonId' => 'cart-empty-label',
                    'buttonName' => 'empty',
                    'buttonClass' => 'toolbar-btn',
                    'buttonIcon' => 'cart-empty',
                    'buttonLabel' => 'Empty Book Bag',
                    'confirmId' => 'cart-confirm-empty',
                    'confirmTitle' => 'bookbag_confirm_empty',
                    'cancelId' => 'cart-refuse-empty',
                    'header' => 'bookbag_confirm_empty',
                ]
            )
          ?>
        </li>
      </ul>
    </div>
  <?php endif; ?>
  <?=$this->render('cart/contents.phtml')?>
</form>

<?php
  $script = <<<'JS'
        function submitFormWithButton(link, name) {
          $('#dropdown_value').attr('name', name).val(1);
          $(link).closest('form').submit();
        }
        $("#cart-confirm-delete").click(function($e) {
            submitFormWithButton(this, 'delete');
        });
        $("#cart-confirm-empty").click(function($e) {
            submitFormWithButton(this, 'empty');
        });
      JS;
?>
<?=$this->inlineScript(\Laminas\View\Helper\HeadScript::SCRIPT, $script, 'SET') ?>
